Export Outbound Calls statistics to CSV file
Download Outbound Calls statistics in CSV file.
The endpoint supports filtration like GET /api/v1/voice/statistics/outbound, also the default values of grouping and interval fields are the same as in GET /api/v1/voice/statistics/outbound.
Query Parameters
Optional filter. Restricts statistics to selected destination routing codes. Accepts a list of ISO alpha-3 country codes in upper case.
Defines grouping dimensions: date — groups statistics by time intervals; country — groups statistics by destination/country logic. In provided an empty list, by default the time grouping will be used.
Defines aggregation granularity. If time grouping is selected, and no value is provided for interval, by default the day interval will be used.
"hour" | "day" | "week" | "month"Time period filter, determines the end of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.
Time period filter, determines the start of the period. Accepts string with time either as UNIX timestamp, or in format 2006-01-02T15:04:05Z07:00.
Ordering parameter. Defines by which field the data will be sorted. If parameter is not provided, will be used entity's default ordering. To use entity's default sorting, pass _default as value.
"destination_code" | "date" | "total_count" | "billable_count" | "total_duration" | "total_price" | "acd" | "asr" | "destination_code,date" | "date,destination_code"Ordering parameter. Defines the order of sorting (asc or desc). If parameter is not provided, will be used entity's default ordering.
"asc" | "desc"Header Parameters
Your API token
Response Body
text/csv
text/csv
text/csv
text/csv
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/voice/statistics/outbound/csv" \ -H "Authorization: string""string"{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}